/* Copyright (C) 2004, 2005, 2006  Andreas Kunz
 * 
 * YAReG is free software; you can redistribute and/or modify it under the terms of the 
 * GNU General Public License (version 2 or later) as published by the Free Software Foundation.
 * This program is distributed WITHOUT ANY WARRANTY; See the GNU GPL for more details. 
 */

using System;
using System.Windows.Forms;

namespace YAReG
{
	/// <summary>
	/// Drag-and-Drop implementation
	/// Holds the names of the source files in the temp directory.
	/// See the Windows drag&drop documentation for details on how this works.
	/// </summary>
	public class DndFiles : IDataObject
	{
		private string[] fileNames;

		/// <summary>
		/// Constructor initializing the names of the files to drag&drop.
		/// </summary>
		/// <param name="file"></param>
		public DndFiles(string[] file)
		{
			fileNames = new string[file.Length];
			file.CopyTo(fileNames, 0);
		}


		#region IDataObject Members
		public bool GetDataPresent(Type format)
		{
			if (format.ToString() == "FileDrop")
				return true;
			else
				return false;
		}

		bool System.Windows.Forms.IDataObject.GetDataPresent(string format)
		{
			if (format == "FileDrop")
				return true;
			else
				return false;
		}

		bool System.Windows.Forms.IDataObject.GetDataPresent(string format, bool autoConvert)
		{
			if (format == "FileDrop")
				return true;
			else
				return false;
		}

		public object GetData(Type format)
		{
			if (format.ToString() != "FileDrop")
				return null;
			return fileNames;
		}

		object System.Windows.Forms.IDataObject.GetData(string format)
		{
			if (format != "FileDrop")
				return null;
			return fileNames;
		}

		object System.Windows.Forms.IDataObject.GetData(string format, bool autoConvert)
		{
			if (format != "FileDrop")
				return null;
			return fileNames;
		}

		public string[] GetFormats()
		{
			string[] a = { DataFormats.FileDrop };
			return a;
		}

		string[] System.Windows.Forms.IDataObject.GetFormats(bool autoConvert)
		{
			string[] a = { DataFormats.FileDrop };
			return a;
		}

		public void SetData(object data)
		{
		}

		void System.Windows.Forms.IDataObject.SetData(Type format, object data)
		{
		}

		void System.Windows.Forms.IDataObject.SetData(string format, object data)
		{
		}

		void System.Windows.Forms.IDataObject.SetData(string format, bool autoConvert, object data)
		{
		}
		#endregion
	}
}
