/* Copyright (C) 2004, 2005, 2006  Andreas Kunz
 * 
 * YAReG is free software; you can redistribute and/or modify it under the terms of the 
 * GNU General Public License (version 2 or later) as published by the Free Software Foundation.
 * This program is distributed WITHOUT ANY WARRANTY; See the GNU GPL for more details. 
 */

using System;
using System.Windows.Forms;

namespace YAReG
{
	/// <summary>
	/// An item displayed in the right-hand dirList.
	/// This is a specialized ListViewItem that is constructed from a fsNode.
	/// </summary>
	public class FsListItem : ListViewItem
	{
		private FsNode node;

		public FsNode Node
		{
			get
			{
				return node; 
			}
		}


		/// <summary>
		/// Constructs this special ListViewItem from a fsNode.
		/// </summary>
		/// <param name="node"></param>
		public FsListItem(FsNode node) : base(node.Name)
		{
			this.ImageIndex = (int) node.NodeType;
			this.SubItems.Add(node.SizeString);
			this.SubItems.Add(node.Date.ToString());
			this.SubItems.Add(node.Attributes);
			this.node = node;
		}
	}
}
